/*  ==========================================================================
    Search
    ========================================================================== */

/*
    Block
    ========================================================================== */

.search {
    width: 100%;
    margin: 80px auto 85px;
    max-width: 950px;
    position: relative;
    z-index: 1;
}

/*
    Elements
    ========================================================================== */

.search__form {

    input {
        float: left;
        width: 740px;
        max-width: calc( 100% - 210px );
        height: 75px;
        background: map-get( $c-colours, off-white );
        color: map-get( $c-colours, off-black );
        border: none;
        text-indent: 25px;
        padding: 0px;
        text-align: left;
        font-family: $f-sans-demi;
        border-radius: 0px;
        @include vs-spacing(font-size, 18px, 26px);

        @media screen and (max-width: 450px) {
            float: none;
            max-width: initial;
            width: 100%;
        }

        &::-webkit-input-placeholder {
            color: map-get( $c-colours, off-black );
            @include vs-spacing(font-size, 18px, 26px);
        }

        &::-moz-placeholder {
            color: map-get( $c-colours, off-black );
            @include vs-spacing(font-size, 18px, 26px);
        }

        &:-ms-input-placeholder {
            color: map-get( $c-colours, off-black );
            @include vs-spacing(font-size, 18px, 26px);
        }

        &:-moz-placeholder {
            color: map-get( $c-colours, off-black );
            @include vs-spacing(font-size, 18px, 26px);
        }

        &[type="submit"] {
            width: 210px;
            background: map-get( $c-colours, off-black ) url("../img/tmp/search.svg") 135px center no-repeat;
            background-size: 42px 42px;
            color: $c-white;
            text-indent: 40px;
            font-family: $f-sans-demi;
            transition: background 300ms ease;
            max-width: 100%;
            @include vs-spacing(font-size, 18px, 26px);

            @media screen and (max-width: 450px) {
                float: none;
                width: 100%;
            }

            &:hover {
                background-color: map-get( $c-colours, light-grey );
            }
        }
    }
}